package tk.antoine.roux.domain;

import io.vavr.collection.List;
import tk.antoine.roux.domain.model.Node;

import java.util.regex.Pattern;

public interface ResourceLister<T extends Resource> {

    List<T> listAll();

    List<Node> listAllByName(String namePattern);

    List<Node> listAllByRegex(Pattern namePattern);
}
