package tk.antoine.roux.infrastructure;

import org.springframework.boot.context.properties.ConfigurationProperties;

@ConfigurationProperties("backoffice.configuration")
public record BackofficeProperties(String apiPrefix, Kubernetes kubernetes) {

    public record Kubernetes(Api api) {
    }

    public record Api(String kubeconfig, String context) {
    }
}
