package tk.antoine.roux.domain.usecases;

import tk.antoine.roux.domain.usecases.Command.EmptyCommand;
import tk.antoine.roux.domain.usecases.operation.UseCase;

public sealed interface Command extends Parameter permits EmptyCommand, CriteriaCommand {

    /**
     * Default {@link UseCase} {@link Command} without parameter
     */
    record EmptyCommand() implements Command {
    }

}
